PACMAN(8)

NOME
pacman - utilitário gerenciador de pacotes

SINOPSE

pacman <operação> [opções] [alvos]

DESCRIÇÃO

Pacman é um utilitário de gerenciamento de pacotes que rastreia pacotes instalados em um sistema Linux. Ele possui suporte a dependências, grupos de pacotes, scripts de instalação e desinstalação e a capacidade de sincronizar sua máquina local com um repositório remoto para atualizar automaticamente os pacotes. Os pacotes de pacman são um formato tar compactado.

Desde a versão 3.0.0, o pacman é o front-end do libalpm(3), a biblioteca de “Arch Linux Package Management” (significa Gerenciamento de Pacote do Arch Linux, em português). Essa biblioteca permite que front-ends alternativos sejam escritos (por exemplo, um front-end com GUI).

A chamada do pacman envolve a especificação de uma operação com possíveis opções e alvos para operar. Um alvo geralmente é um nome de pacote, nome de arquivo, URL ou uma string de pesquisa. Os alvos podem ser fornecidos como argumentos de linha de comando. Além disso, se a stdin não for de um terminal e um único hífen (-) for passado como argumento, os alvos serão lidos da stdin.

OPERAÇÕES

-D, --database
    Opera na base de dados de pacotes. Esta operação permite modificar certos atributos dos pacotes instalados na base de dados do pacman. Também permite verificar as bases de dados quanto à consistência interna. Consulte as Opções de Base de Dados abaixo.

-Q, --query
    Consulta a base de dados de pacotes. Esta operação permite visualizar os pacotes instalados e seus arquivos, bem como metainformações sobre pacotes individuais (dependências, conflitos, data de instalação, data de compilação, tamanho). Isso pode ser executado na base de dados do pacote local ou em arquivos de pacotes individuais. No primeiro caso, se nenhum nome de pacote for fornecido na linha de comando, todos os pacotes instalados serão consultados. Além disso, vários filtros podem ser aplicados na lista de pacotes. Consulte Opções de Consulta abaixo.

-R, --remove
    Remove pacote(s) do sistema. Os grupos também podem ser especificados para serem removidos; neste caso, todos os pacotes no grupo serão removidos. Os arquivos pertencentes ao pacote especificado serão excluídos e a base de dados será atualizada. A maioria dos arquivos de configuração será salva com uma extensão .pacsave, a menos que a opção --nosave seja usada. Consulte Opções de Remoção abaixo.

-S, --sync
    Sincroniza pacotes. Os pacotes são instalados diretamente dos repositórios remotos, incluindo todas as dependências necessárias para executar os pacotes. Por exemplo, pacman -S qt fará o download e instalará o qt e todos os pacotes dos quais ele depende. Se um nome de pacote existir em mais de um repositório, o repositório poderá ser especificado explicitamente para esclarecer o pacote a ser instalado: pacman -S testing/qt. Você também pode especificar os requisitos de versão: pacman -S "bash>=3.2". As aspas são necessárias, caso contrário, o shell interpreta ">" como redirecionamento para um arquivo.

    Além dos pacotes, os grupos também podem ser especificados. Por exemplo, se gnome é um grupo de pacotes definido, o pacman -S gnome fornecerá um prompt, permitindo que você selecione quais pacotes instalar a partir de uma lista numerada. A seleção do pacote é especificada usando uma lista de números de pacotes separados por espaço e/ou vírgula. Pacotes sequenciais podem ser selecionados especificando o primeiro e o último número de pacotes separados por um hífen (-). A exclusão de pacotes é realizada prefixando um número ou intervalo de números com um sinal de intercalação (^).

    Pacotes que fornecem outros pacotes, por meio de “provides”, também são manipulados. Por exemplo, pacman -S foo procurará primeiro um pacote foo. Se foo não for encontrado, os pacotes que oferecem a mesma funcionalidade que foo serão procurados. Se algum pacote for encontrado, ele será instalado. Um prompt de seleção é fornecido se vários pacotes que fornecem foo forem encontrados.

    Você também pode usar o pacman -Su para atualizar todos os pacotes desatualizados. Consulte Opções de Sincronização abaixo. Ao atualizar, o pacman realiza uma comparação de versões para determinar quais pacotes precisam ser atualizados. Esse comportamento funciona da seguinte maneira:

        Alfanumérico:
          1.0a < 1.0b < 1.0beta < 1.0p < 1.0pre < 1.0rc < 1.0 < 1.0.a < 1.0.1
        Numérico:
          1 < 1.0 < 1.1 < 1.1.1 < 1.2 < 2.0 < 3.0.0

    Além disso, as strings de versão podem ter um valor epoch definido que substituirá qualquer comparação de versão, a menos que os valores da época sejam iguais. Isso é especificado em uma formato época:versão-lançamento. Por exemplo, 2:1.0-1 é sempre maior que 1:3.6-1.

-T, --deptest
    Verifica dependências; isso é útil em scripts como o makepkg para verificar os pacotes instalados. Esta operação verificará cada dependência especificada e retornará uma lista de dependências que não estão atualmente satisfeitas no sistema. Esta operação não aceita outras opções. Exemplo de uso: pacman -T qt "bash>=3.2".

-U, --upgrade
    Atualiza ou adiciona pacote(s) ao sistema e instala as dependências necessárias dos repositórios de sincronização. Um URL ou caminho de arquivo pode ser especificado. Este é um processo de “remover-e-então-adicionar”. Consulte Opções de Atualização abaixo; também consulte Manipulando Arquivos de Configuração para obter uma explicação sobre como o pacman trata dos arquivos de configuração.

-F, --files
    Consulta a base de dados de arquivos. Esta operação permite procurar pacotes que possuem certos arquivos ou exibir arquivos pertencentes a determinados pacotes. Somente os pacotes que fazem parte de suas bases de dados de sincronização são pesquisados. Consulte Opções de Arquivo abaixo.

-V, --version
    Exibe a versão e sai.

-h, --help
    Exibe a sintaxe para a operação especificada. Se nenhuma operação foi fornecida, a sintaxe geral é mostrada.

OPÇÕES

-b, --dbpath <caminho>
    Especifica um local de base de dados alternativo (o padrão é /var/lib/pacman). Isso não deve ser usado, a menos que você saiba o que está fazendo. NOTA: Se especificado, este é um caminho absoluto e o caminho raiz não é prefixado automaticamente.

-r, --root <caminho>
    Especifica uma raiz de instalação alternativa (o padrão é /). Isso não deve ser usado como uma maneira de instalar o software em /usr/local em vez de /usr. NOTA: Se o caminho da base de dados ou o arquivo de log não forem especificados na linha de comando ou no pacman.conf(5), seu local padrão será dentro desse caminho raiz. NOTA: Esta opção não é adequada para executar operações em um sistema convidado montado. Veja --sysroot em vez disso.

-v, --verbose
    Emite caminhos como o Root, Conf File, DB Path, Cache Dirs, etc.

--arch <arquitetura>
    Especifica uma arquitetura alternativa.

--cachedir <diretório>
    Especifica um local de cache de pacotes alternativo (o padrão é /var/cache/pacman/pkg). Vários diretórios de cache podem ser especificados e são tentados na ordem em que são passados para pacman. NOTA: Este é um caminho absoluto e o caminho raiz não é anexado automaticamente.

--color <quando>
    Especifica quando ativar a coloração. As opções válidas são always, never ou auto. always força ativar as cores; never força desligar as cores; e auto somente ativa as cores automaticamente ao imprimir em um tty.

--config <arquivo>
    Especifica um arquivo de configuração alternativo.

--debug
    Exibe mensagens de depuração. Ao relatar erros, é recomendado usar esta opção.

--gpgdir <diretório>
    Especifica um diretório de arquivos usado pelo GnuPG para verificar as assinaturas dos pacotes (o padrão é /etc/pacman.d/gnupg). Este diretório deve conter dois arquivos: ppubring.gpg e trustdb.gpg. pubring.gpg contém as chaves públicas de todos os empacotadores. trustdb.gpg contém uma base de de dados chamada trust, que especifica que as chaves são autênticas e confiáveis. NOTA: Este é um caminho absoluto e o caminho raiz não é prefixado automaticamente.

--hookdir <diretório>
    Especifica um diretório alternativo contendo arquivos de hook ou gancho (o padrão é /etc/pacman.d/hooks). Vários diretórios de hooks podem ser especificados com hooks em diretórios posteriores, tendo precedência sobre hooks em diretórios anteriores. NOTA: Este é um caminho absoluto e o caminho raiz não é anexado automaticamente.

--logfile <arquivo>
    Especifica um arquivo de log alternativo. Este é um caminho absoluto, independentemente da configuração raiz da instalação.

--noconfirm
    Ignora toda e qualquer mensagem de “Tem certeza?”. Não é uma boa ideia fazer isso, a menos que você queira executar o pacman a partir de um script.

--confirm
    Cancela o efeito de um --noconfirm anterior.

--disable-download-timeout
    Desativa padrões para limite de baixa velocidade e tempo limite em downloads. Use isso se você tiver problemas para baixar arquivos com proxy e/ou gateway de segurança.

--sysroot <diretório>
    Especifica uma raiz de sistema alternativa. Este caminho será anexado a todos os outros diretórios de configuração e a quaisquer servidores de repositório que comecem com file://. Quaisquer caminhos ou URLs passados como destinos não serão modificados. Isso permite que os sistemas convidados montados sejam operados adequadamente.

--disable-sandbox
    Desabilita o isolamento (sandbox) padrão aplicado ao processo de download de arquivos em sistemas Linux. Útil se estiver enfrentando falhas relacionadas a landlock ao baixar arquivos ao executar um kernel Linux que não suporta esse recurso.

OPÇÕES DE TRANSAÇÃO (APLICAM-SE A -S, -R E -U)

-d, --nodeps
    Ignora as verificações de versão das dependências. Os nomes dos pacotes ainda são verificados. Normalmente, o pacman sempre verifica os campos de dependência dos pacotes para garantir que todas as dependências estejam instaladas e não haja conflitos de pacotes no sistema. Especifique essa opção duas vezes para ignorar todas as verificações de dependência.

--assume-installed <pacote=versão>
    Adiciona um pacote virtual "pacote" com a versão "versão" à transação para satisfazer dependências. Isso permite desativar verificações de dependência específicas sem afetar todas as verificações de dependência. Para desativar toda a verificação de dependência, consulte a opção --nodeps.

--dbonly
    Adiciona/remove a entrada da base de dados apenas, deixando todos os arquivos no lugar.

--noprogressbar
    Não mostra uma barra de progresso ao baixar arquivos. Isso pode ser útil para scripts que chamam pacman e capturam a saída.

--noscriptlet
    Se um scriptlet de instalação existir, não o executa. Não use isso a menos que saiba o que está fazendo.

-p, --print
    Mostra apenas os alvos em vez de executar a operação real (sincronização, remoção ou atualização). Use --print-format para especificar como os alvos são exibidos. A string de formato padrão é "%l", que exibe URLs com -S, nomes de arquivos com -U e pkgname-pkgver com -R.

--print-format <formato>
    Especifica um formato semelhante ao printf para controlar a saída da operação --print. Os atributos possíveis são: "%a" para arquitetura, "%b" para data de compilação, "%d" para descrição, "%e" para pkgbase, "%f" para nome de arquivo, "%g" para assinatura PGP codificada em base64, "%h" para sha256sum, "%m" para md5sum, "%n" para pkgname, "%p" para empacotador, "%v" para pkgver, "%l" para local, "%r" para repositório, " %s" para tamanho, "%C" para checkdepends, "%D" para depends, "%G" para grupos, "%H" para conflitos, "%L" para licenças, "%M" para makedepends, "% O" para dependências opcionais, "%P" para provides e "%R" para replaces. Implica --print.

OPÇÕES DE ATUALIZAÇÃO (APLICAM-SE A -S E -U)

-w, --downloadonly
    Obtém todos pacotes do servidor, mas não instala/atualiza nada.

--asdeps
    Instala pacotes não explicitamente; em outras palavras, falsifica seu motivo de instalação para ser instalado como uma dependência. Isso é útil para o makepkg e outras ferramentas de compilação a partir do código-fonte que precisam instalar dependências antes da compilação do pacote.

--asexplicit
    Instala pacotes explicitamente; em outras palavras, falsifica o motivo da instalação para ser instalado explicitamente. Isso é útil se você deseja marcar uma dependência como instalada explicitamente, para que ela não seja removida pela operação de remoção --recursive.

--ignore <pacote>
    Orienta o pacman para ignorar atualizações de pacotes, mesmo se houver alguma disponível. Vários pacotes podem ser especificados, separando-os com uma vírgula.

--ignoregroup <grupo>
    Orienta o pacman para ignorar atualizações de todos os pacotes em grupo, mesmo se houver alguma disponível. Vários grupos podem ser especificados, separando-os com uma vírgula.

--needed
    Não reinstala os alvos que já estão atualizados.

--overwrite <glob>
    Ignora verificações de conflitos de arquivos e substitui arquivos conflitantes. Se o pacote que está prestes a ser instalado contiver arquivos que já estão instalados e corresponderem a glob, essa opção fará com que todos esses arquivos sejam substituídos. O uso de --overwrite não permitirá sobrescrever um diretório com um arquivo ou instalar pacotes com arquivos e diretórios conflitantes. Vários padrões podem ser especificados, separando-os com uma vírgula. Pode-se especificar várias vezes. Os padrões podem ser negados, de modo que os arquivos correspondentes não sejam substituídos, prefixando-os com um ponto de exclamação. As correspondências subsequentes substituirão as anteriores. Um ponto de exclamação ou barra invertida literal inicial precisa ser escapado.

OPÇÕES DE CONSULTA (APLICAM-SE A -Q)

-c, --changelog
    Veja o ChangeLog de um pacote se ele existir.

-d, --deps
    Restringe ou filtra a saída para pacotes instalados como dependências. Esta opção pode ser combinada com -t para listar órfãos - pacotes que foram instalados como dependências, mas não são mais necessários por nenhum pacote instalado.

-e, --explicit
    Restringe ou filtra a saída para pacotes instalados explicitamente. Esta opção pode ser combinada com -t para listar pacotes instalados explicitamente que não são necessários por nenhum outro pacote.

-g, --groups
    Exibe todos os pacotes que são membros de um grupo nomeado. Se um nome não for especificado, liste todos os pacotes agrupados.

-i, --info
    Exibe informações sobre um determinado pacote. A opção -p pode ser usada se estiver consultando um arquivo de pacote em vez da base de dados local. Passar dois de sinalizadores --info ou -i também exibirá a lista de arquivos de backup e seus estados de modificação.

-k, --check
    Verifique se todos os arquivos pertencentes aos pacotes fornecidos estão presentes no sistema. Se os pacotes não forem especificados ou os sinalizadores de filtro não forem fornecidos, verifique todos os pacotes instalados. A especificação desta opção duas vezes executará uma verificação de arquivo mais detalhada (incluindo permissões, tamanhos de arquivo e tempos de modificação) para pacotes que contenham o arquivo mtree necessário.

-l, --list
    Lista todos os arquivos pertencentes a um determinado pacote. Vários pacotes podem ser especificados na linha de comando.

-m, --foreign
    Restringe ou filtra a saída para pacotes que não foram encontrados em base(s) de dados de sincronização. Normalmente, são pacotes que foram baixados manualmente e instalados com --upgrade.

-n, --native
    Restringe ou filtra a saída para pacotes encontrados em base(s) de dados de sincronização. Este é o filtro inverso de --foreign.

-o, --owns <arquivo>
    Procura pacotes que possuam o(s) arquivo(s) especificado(s). O caminho pode ser relativo ou absoluto e um ou mais arquivos podem ser especificados.

-p, --file
    Significa que o pacote fornecido na linha de comando é um arquivo e não uma entrada na base de dados. O arquivo será descompactado e consultado. Isso é útil em combinação com --info e --list.

-q, --quiet
    Mostra menos informações para determinadas operações de consulta. Isso é útil quando a saída do pacman é processada em um script. Pesquisa mostra apenas nomes de pacotes e não informações de versão, grupo e descrição; propriedade mostra apenas nomes dos pacotes em vez das mensagens "arquivo pertence a pacote"; grupo mostra apenas nomes dos pacotes e omite os nomes dos grupos; listagem mostra apenas arquivos e nomes dos pacotes; verificação mostrará apenas pares de nomes de pacotes e arquivos ausentes; uma consulta “bare” mostrará apenas os nomes dos pacotes em vez dos nomes e versões.

-s, --search <regexp>
    Pesquisa em cada pacote instalado localmente nomes ou descrições que correspondam a regexp. Ao incluir vários termos de pesquisa, somente os pacotes com descrições correspondentes a TODOS esses termos serão retornados.

-t, --unrequired
    Restringe ou filtra a saída para imprimir apenas pacotes não exigidos nem opcionalmente exigidos por qualquer pacote instalado atualmente. Especifica esta opção duas vezes para incluir pacotes que são opcionalmente, mas não diretamente, exigidos por outro pacote.

-u, --upgrades
    Restringe ou filtra a saída para pacotes desatualizados no sistema local. Somente versões de pacotes são usadas para encontrar pacotes desatualizados; as substituições não são verificadas aqui. Esta opção funciona melhor se a base de dados de sincronização for atualizada usando -Sy.

OPÇÕES DE REMOÇÃO (APLICAM-SE A -R)

-c, --cascade
    Remove todos os pacotes alvos, bem como todos os pacotes que dependem de um ou mais pacotes alvos. Esta operação é recursiva e deve ser usada com cuidado, pois pode remover muitos pacotes potencialmente necessários.

-n, --nosave
    Instrui o pacman a ignorar as designações de backup de arquivos. Normalmente, quando um arquivo é removido do sistema, a base de dados é verificada para ver se o arquivo deve ser renomeado com uma extensão .pacsave.

-s, --recursive
    Remove cada alvo especificado, incluindo todas as suas dependências, desde que (A) não sejam necessários para outros pacotes; e (B) eles não foram explicitamente instalados pelo usuário. Esta operação é recursiva e análoga a uma operação --sync invertida e ajuda a manter um sistema limpo sem órfãos. Se você deseja omitir a condição (B), passe esta opção duas vezes.

-u, --unneeded
    Remove alvos que não são necessários por outros pacotes. Isso é útil principalmente ao remover um grupo sem usar a opção -c, para evitar a quebra de quaisquer dependências.

OPÇÕES DE SINCRONIZAÇÃO (APLICAM-SE A -S)

-c, --clean
    Remove os pacotes que não estão mais instalados no cache e as bases de dados de sincronização não utilizadas no momento para liberar espaço em disco. Quando o pacman baixa pacotes, ele os salva em um diretório de cache. Além disso, as bases de dados são salvas para cada base de dados de sincronização da qual você baixa e não são excluídas, mesmo se forem removidos do arquivo de configuração pacman.conf(5). Use uma opção --clean para remover apenas pacotes que não estão mais instalados; use dois para remover todos os arquivos do cache. Em ambos casos, você terá a opção de sim ou não para remover pacotes e/ou bases de dados baixadas sem uso.

    Se você usa um cache compartilhado da rede, consulte a opção CleanMethod em pacman.conf(5).

-g, --groups
    Exibe todos os membros para cada grupo de pacotes especificado. Se nenhum nome de grupo for fornecido, todos os grupos serão listados; passe o sinalizador duas vezes para ver todos os grupos e seus membros.

-i, --info
    Exibe informações sobre um determinado pacote da base de dados de sincronização. Passar dois sinalizadores --info ou -i também exibirá esses pacotes em todos os repositórios que dependem deste pacote.

-l, --list
    Lista todos os pacotes nos repositórios especificados. Vários repositórios podem ser especificados na linha de comandos.

-q, --quiet
    Mostra menos informações para determinadas operações de sincronização. Isso é útil quando a saída do pacman é processada em um script. Pesquisa mostra apenas nomes de pacotes e não informações de repositório, versão, grupo e descrição; lista mostra apenas nomes de pacotes e omite bases de dados e versões; grupo apenas mostre os nomes dos pacotes e omita os nomes dos grupos.

-s, --search <regexp>
    Isso vai pesquisar em cada pacote nas bases de dados de sincronização ou descrições que correspondam a regexp. Quando você inclui vários termos de pesquisa, somente os pacotes com descrições correspondentes a TODOS esses termos serão retornados.

-u, --sysupgrade
    Atualiza todos os pacotes desatualizados. Cada pacote atualmente instalado será examinado e atualizado se existir um pacote mais novo. Um relatório de todos os pacotes a serem atualizados será apresentado e a operação não continuará sem a confirmação do usuário. As dependências são resolvidas automaticamente nesse nível e serão instaladas/atualizadas, se necessário.

    Passe essa opção duas vezes para fazer downgrade de pacotes; neste caso, o pacman selecionará pacotes de sincronização cujas versões não coincidem com as versões locais. Isso pode ser útil quando o usuário alterna de um repositório de teste para um estável.

    Alvos adicionais também podem ser especificados manualmente, de forma que -Su foo faça uma atualização do sistema e instale/atualize o pacote "foo" na mesma operação.

-y, --refresh
    Baixa uma nova cópia da base de dados de pacotes principal (repo.db) a partir dos servidores definidos em pacman.conf(5). Normalmente, isso deve ser usado sempre que você usa --sysupgrade ou -u. A passagem de dois sinalizadores --refresh ou -y forçará a atualização de todas as bases de dados de pacotes, mesmo que pareçam estar atualizados.

OPÇÕES DE BASE DE DADOS (APLICAM-SE A -D)

--asdeps <pacote>
    Marca um pacote como instalado não explicitamente; em outras palavras, define seu motivo de instalação para instalado como uma dependência.

--asexplicit <pacote>
    Marca um pacote como instalado explicitamente; em outras palavras, define seu motivo de instalação para instalado explicitamente. Isso é útil, pois você deseja manter um pacote instalado, mesmo quando foi instalado inicialmente como uma dependência de outro pacote.

-k, --check
    Verifica se a base de dados de pacotes local é internamente consistente. Isso verificará se todos os arquivos necessários estão presentes e se os pacotes instalados possuem as dependências necessárias, não entram em conflito e se vários pacotes não possuem o mesmo arquivo. A especificação desta opção duas vezes executará uma verificação nas bases de dados de sincronização para garantir que todas as dependências especificadas estejam disponíveis.

-q, --quiet
    Suprime mensagens após a conclusão bem-sucedida das operações de base de dados.

OPÇÕES DE ARQUIVO (APLICAM-SE A -F)

-y, --refresh
    Baixa novas bases de dados de pacotes (repo.files) a partir do servidor. Use duas vezes para forçar uma atualização, mesmo que as bases de dados estejam atualizadas.

-l, --list
    Lista os arquivos pertencentes ao pacote consultado.

-x, --regex
    Interpreta cada consulta como uma expressão regular.

-q, --quiet
    Mostra menos informações para determinadas operações de arquivo. Isso é útil quando a saída do pacman é processada em um script, no entanto, você pode usar --machinereadable em vez disso.

--machinereadable
    Emite cada correspondência em um formato de saída legível por máquina. O formato é repositório\0pkgname\0pkgver\0caminho\n com \0 sendo o caractere NULO e \n um avanço de linha.

MANIPULAÇÃO DE ARQUIVOS DE CONFIGURAÇÃO

O pacman usa a mesma lógica que rpm para determinar a ação em relação aos arquivos designados para backup. Durante uma atualização, três hashes MD5 são usados para cada arquivo de backup para determinar a ação necessária: um para o arquivo original instalado, um para o novo arquivo que está prestes a ser instalado e um para o arquivo real existente no sistema de arquivos. Depois de comparar esses três hashes, podem resultar os seguintes cenários:

original=X, atual=X, novo=X
    Todos os três arquivos são iguais, portanto, substituições não são um problema. Instala o novo arquivo.

original=X, atual=X, novo=Y
    O arquivo atual é igual ao original, mas o novo é diferente. Como o usuário nunca modificou o arquivo e o novo pode conter melhorias ou correções, instala o novo arquivo.

original=X, atual=Y, novo=X
    Ambas as versões do pacote contêm exatamente o mesmo arquivo, mas o do sistema de arquivos foi modificado. Deixe o arquivo atual no lugar.

original=X, atual=Y, novo=Y
    O novo arquivo é idêntico ao arquivo atual. Instala o novo arquivo.

original=X, atual=Y, novo=Z
    Todos os três arquivos são diferentes, então instala o novo arquivo com uma extensão .pacnew e avisa o usuário. O usuário deve mesclar manualmente todas as alterações necessárias no arquivo original.

original=NULO, atual=Y, novo=Z
    O pacote não estava instalado anteriormente e o arquivo já existe no sistema de arquivos. Instala o novo arquivo com uma extensão .pacnew e avisa o usuário. O usuário deve mesclar manualmente todas as alterações necessárias no arquivo original.

EXEMPLOS

pacman -Ss ne.hack
    Pesquisa pela expressão regular "ne.hack" na base de dados de pacotes.

pacman -S gpm
    Baixa e instala gpm incluindo suas dependências.

pacman -U /home/user/ceofhack-0.6-1-x86_64.pkg.tar.gz
    Instala o pacote ceofhack-0.6-1 a partir de um arquivo local.

pacman -Syu
    Atualiza a lista de pacotes e, em seguida, todos os pacotes.

pacman -Syu gpm
    Atualiza a lista de pacotes, atualiza todos os pacotes e instala o gpm se não estiver já instalado.

CONFIGURAÇÃO

Veja pacman.conf(5) para mais detalhes sobre a configuração do pacman usando o arquivo pacman.conf.

VEJA TAMBÉM

alpm-hooks(5), libalpm(3), makepkg(8), pacman.conf(5)

Consulte o site do pacman em https://archlinux.org/pacman/ para obter informações atuais sobre o pacman e suas ferramentas relacionadas.

BUGS

Bugs? Você deve estar brincando; não há erros neste software. Mas se por acaso estivermos errados, relate-os no rastreador problemas em https://gitlab.archlinux.org/pacman/pacman/-/issues com informações específicas tal como sua linha de comando, a natureza do erro e até mesmo a base de dados se isso ajudar.

AUTORES

Atuais mantenedores:

    • Allan McRae <allan@archlinux.org>

    • Andrew Gregory <andrew.gregory.8@gmail.com>

    • Morgan Adamiec <morganamilo@archlinux.org>

Principais colaboradores anteriores:

    • Judd Vinet <jvinet@zeroflux.org>

    • Aurelien Foret <aurelien@archlinux.org>

    • Aaron Griffin <aaron@archlinux.org>

    • Dan McGee <dan@archlinux.org>

    • Xavier Chantry <shiningxc@gmail.com>

    • Nagy Gabor <ngaba@bibl.u-szeged.hu>

    • Dave Reisner <dreisner@archlinux.org>

    • Eli Schwartz <eschwartz@archlinux.org>

Para outros contribuidores, use git shortlog -s no repositório pacman.git.

TRADUÇÃO
A tradução para português brasileiro desta página man foi criada por Rafael Fontenelle <rafaelff@gnome.org>

Esta tradução é uma documentação livre; leia a Licença Pública Geral GNU Versão 3 (https://www.gnu.org/licenses/gpl-3.0.html) ou posterior para as condições de direitos autorais. Nenhuma responsabilidade é aceita.

Se você encontrar algum erro na tradução desta página de manual, envie um e-mail para a lista de discussão de tradutores (debian-l10n-portuguese@lists.debian.org).